#593 MI DATAGRAM specific commands fail

1.8.x
closed-fixed
core (110)
5
2012-12-17
2012-11-27
Digipigeon
No

Using 1.8.2, applying a different connector to my existing mi methods the following commands that I have issued work over ALL XMLRPC, FIFO, MI_HTTP & MI_DATAGRAM

version - WORKS ALL
uptime - WORKS ALL

However the following commands work on XMLRPC, FIFO, MI_HTTP but FAIL on MI_DATAGRAM

All Passed with no arguments

dr_gw_status - FAILS ON MI_DATAGRAM
debug - FAILS ON MI_DATAGRAM

Regards Jonathan

Discussion

  • Vladut-Stefan Paiu

    Hello,

    Do you see any specific mi_datagram error messages when you trigger the dr_gw_status or debug MI commands ? Do those commands fail all the time, or randomly fail ?

    Regards,
    Vlad

     
  • Digipigeon

    Digipigeon - 2012-11-29

    Here are two examples for the following commands with full debug enabled:

    Example with "debug"

    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: received :debug:#012
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: mi_buf is :debug:#012 and we have received 8 bytes
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: the command starts here: debug:#012
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: the command is debug
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: dtgram->len is 8
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: dtgram->len is 0
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: we have a valid command
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: after identifing the command, the received datagram is
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: parsing the command's params
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: ERROR:mi_datagram:mi_datagram_parse_tree: no data in the datagram
    Nov 29 17:21:54 gluino /usr/sbin/opensips[15307]: ERROR:mi_datagram:mi_datagram_server: failed to parse the MI tree

    Example with "dr_gw_status"

    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: received :dr_gw_status:#012
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: mi_buf is :dr_gw_status:#012 and we have received 15 bytes
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: the command starts here: dr_gw_status:#012
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: the command is dr_gw_status
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: dtgram->len is 15
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: dtgram->len is 0
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: we have a valid command
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: after identifing the command, the received datagram is
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: parsing the command's params
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: ERROR:mi_datagram:mi_datagram_parse_tree: no data in the datagram
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: ERROR:mi_datagram:mi_datagram_server: failed to parse the MI tree
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: received :dr_gw_status:#012
    Nov 29 17:23:09 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: mi_buf is :dr_gw_status:#012 and we have received 15 bytes

    I have also included the working example for "version"
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: received :version:#012
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: mi_buf is :version:#012 and we have received 10 bytes
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: the command starts here: version:#012
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: the command is version
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: dtgram->len is 10
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:identify_command: dtgram->len is 0
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: we have a valid command
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: after identifing the command, the received datagram is
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: the command has no params
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: done parsing the mi tree
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: command process (version)succeded
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_write_node: writing the name <Server> and value <OpenSIPS (1.8.2-notls (x86_64/linux))>
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15307]: DBG:mi_datagram:mi_datagram_server: the response: 200 OK#012Server:: OpenSIPS (1.8.2-notls (x86_64/linux))#012 has been sent in 54 octets
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15308]: DBG:mi_xmlrpc:default_method: starting up.....
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15308]: DBG:mi_xmlrpc:default_method: done looking the mi command.
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15308]: DBG:mi_xmlrpc:default_method: done parsing the mi tree.
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15308]: DBG:mi_xmlrpc:default_method: done running the mi command.
    Nov 29 17:25:48 gluino /usr/sbin/opensips[15308]: DBG:mi_xmlrpc:default_method: done building response.

    Regards Jonathan

     
  • Bogdan-Andrei Iancu

    • assigned_to: nobody --> bogdan_iancu
    • status: open --> closed-fixed
     
  • Bogdan-Andrei Iancu

    Hi Jonathan,

    Bug found and fixed (trunk, 1.8 and 1.7).

    Thanks for the report and your help in troubleshooting this.

    Best regards,
    Bogdan

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks